## python secrets-23.4.1

=== Makefile ===
# Makefile for python_secrets

SHELL=bash
VERSION=$(shell cat VERSION)
REQUIRED_VENV:=python_secrets
VENV_DIR=$(HOME)/.virtualenvs/$(REQUIRED_VENV)
PROJECT:=$(shell basename `pwd`)

.PHONY: default
default: all

.PHONY: all
all: install-active

.PHONY: help
help:
	@echo 'usage: make [VARIABLE=value] [target [target..]]'
	@echo ''
	@echo 'test - generic target for both "test-tox" and "test-bats"'
	@echo 'test-tox - run tox tests'
	@echo 'test-bats - run Bats unit tests'
	@echo 'test-bats-runtime - run Bats runtime integration/system tests'
	@echo 'release - produce a pypi production release'
	@echo 'release-test - produce a pypi test release'
	@echo 'release-prep - final documentation preparations for release'
	@echo 'sdist - run "python3 setup.py sdist"'
	@echo 'bdist_wheel - build a universal binary wheel'
	@echo 'twine-check - run "twine check"'
	@echo 'clean - remove build artifacts'
	@echo 'spotless - deep clean'
	@echo 'build-packet-cafe - Build and bring up packet_cafe containers'
	@echo 'up-packet-cafe - Bring up packet_cafe containers'
	@echo 'down-packet-cafe - Bring up packet_cafe containers'
	@echo 'clean-packet-cafe - remove packet_cafe contents'
	@echo 'spotless-packet-cafe - Remove all packet_cafe files and containers'
	@echo 'install - install pip package'
	@echo 'install-active - run "python3 -m pip install -U ."'
	@echo 'docs-tests - generate bats test output for documentation'
	@echo 'docs-help - generate "lim help" output for documentation'
	@echo 'docs - build Sphinx docs'


#HELP test - run 'tox' for testing
.PHONY: test
test: test-tox
	@echo '[+] test: All tests passed'

# [Makefile-test-tox]
# The following target rules are optimized by splitting up `tox` tests so they
# fail early on syntax and security checks before running more lengthy unit
# tests against Python versions (with coverage reporting).  This is designed to
# more easily focus on code quality first and foremost.
.PHONY: test-tox
test-tox:
	@if [ -f .python_secrets_environment ]; then (echo '[!] Remove .python_secrets_environment prior to testing'; exit 1); fi
	touch docs/psec_help.txt
	@# See also comment in tox.ini file.
	tox -e pep8
	tox -e bandit,docs,bats
	tox -e clean,py39,py310,py311,pypi,report
	echo '[+] test-tox: All tests passed'
# ![Makefile-test-tox]

.PHONY: test-bats
test-bats: bats-libraries
	@if [ "$(TRAVIS)" != "true" ]; then \
		if ! type bats 2>/dev/null >/dev/null; then \
			echo "[-] Skipping bats tests"; \
		else \
			source test-environment.bash; \
			echo "[+] Running bats tests: $(shell cd tests && echo [0-9][0-9]*.bats)"; \
			PYTHONWARNINGS="ignore" bats --tap tests/[0-9][0-9]*.bats && \
			echo '[+] test-bats: All tests passed'; \
		fi \
	 fi

.PHONY: test-bats-runtime
test-bats-runtime: bats-libraries
	@echo "[+] Running bats runtime tests: $(shell cd tests && echo runtime_[0-9][0-9]*.bats)"; \
	(source test-environment.bash; \
	 PYTHONWARNINGS="ignore" bats --tap tests/runtime_[0-9][0-9]*.bats && \
	 echo '[+] test-bats-runtime: All tests passed')

.PHONY: no-diffs
no-diffs:
	@echo 'Checking Git for uncommitted changes'
	git diff --quiet HEAD

#HELP release - package and upload a release to pypi
.PHONY: release
release: clean docs sdist bdist_wheel twine-check
	twine upload $(shell cat dist/.LATEST_*) -r pypi

#HELP release-prep - final documentation preparations for release
.PHONY: release-prep
release-prep: install-active clean sdist docs-help docs-tests
	@echo 'Check in help text docs and HISTORY.rst?'

#HELP release-test - upload to "testpypi"
.PHONY: release-test
release-test: clean test docs-tests docs twine-check
	$(MAKE) no-diffs
	twine upload $(shell cat dist/.LATEST_*) -r testpypi

#HELP sdist - build a source package
.PHONY: sdist
sdist: clean-docs docs
	rm -f dist/.LATEST_SDIST
	python3 setup.py sdist
	ls -t dist/*.tar.gz 2>/dev/null | head -n 1 > dist/.LATEST_SDIST
	ls -l dist/*.tar.gz

#HELP bdist_egg - build an egg package
.PHONY: bdist_egg
bdist_egg:
	rm -f dist/.LATEST_EGG
	python3 setup.py bdist_egg
	ls -t dist/*.egg 2>/dev/null | head -n 1 > dist/.LATEST_EGG
	ls -lt dist/*.egg

#HELP bdist_wheel - build a wheel package
.PHONY: bdist_wheel
bdist_wheel:
	rm -f dist/.LATEST_WHEEL
	python3 setup.py bdist_wheel
	ls -t dist/*.whl 2>/dev/null | head -n 1 > dist/.LATEST_WHEEL
	ls -lt dist/*.whl

#HELP twine-check
.PHONY: twine-check
twine-check: sdist bdist_egg bdist_wheel
	twine check $(shell cat dist/.LATEST_*)

#HELP clean - remove build artifacts
.PHONY: clean
clean: clean-docs
	python3 setup.py clean
	rm -rf dist build *.egg-info
	find . -name '*.pyc' -delete

.PHONY: clean-docs
clean-docs:
	cd docs && make clean

.PHONY: spotless
spotless: clean
	rm -rf htmlcov

#HELP install - install in required Python virtual environment (default $(REQUIRED_VENV))
.PHONY: install
install:
	@if [ ! -d $(VENV_DIR) ]; then \
		echo "Required virtual environment '$(REQUIRED_VENV)' not found."; \
		exit 1; \
	fi
	@if [ ! -e "$(VENV_DIR)/bin/python3" ]; then \
		echo "Cannot find $(VENV_DIR)/bin/python3"; \
		exit 1; \
	else \
		echo "Installing into $(REQUIRED_VENV) virtual environment"; \
		$(VENV_DIR)/bin/python3 -m pip uninstall -y $(PROJECT); \
		$(VENV_DIR)/bin/python3 setup.py install; \
	fi

#HELP install-active - install in the active Python virtual environment
.PHONY: i
.PHONY: install-active
i install-active: bdist_wheel
	python3 -m pip uninstall -y $(PROJECT)
	@# python3 -m pip install -U "$(shell cat dist/.LATEST_WHEEL)" | grep -v ' already '
	python3 setup.py install

#HELP docs-tests - generate bats test output for documentation
.PHONY: docs-tests
PR=pr --omit-header --omit-pagination --page-width 80
docs-tests:
	$(MAKE) -B docs/test-tox.txt
	$(MAKE) -B docs/test-bats.txt
	$(MAKE) -B docs/test-bats-runtime.txt

docs/test-tox.txt:
	(echo '$$ make test-tox' && $(MAKE) test-tox) |\
	       $(PR) | tee docs/test-tox.txt

docs/test-bats.txt:
	$(MAKE) test-bats | $(PR) | tee docs/test-bats.txt

docs/test-bats-runtime.txt:
	(echo '$$ make test-bats-runtime' && $(MAKE) test-bats-runtime) |\
	       $(PR) | tee docs/test-bats-runtime.txt

#HELP docs - build Sphinx docs (NOT INTEGRATED YET FROM OPENSTACK CODE BASE)
.PHONY: docs
docs: docs/psec_help.txt
	cd docs && make html

docs/psec_help.txt: install-active
	PYTHONPATH=$(shell pwd) python3 -m psec help | tee docs/psec_help.txt

#HELP examples - produce some example output for docs
.PHONY: examples
examples:
	@PYTHONPATH=$(shell pwd) python3 -m psec --help

# Git submodules and subtrees are both a huge PITA. This is way simpler.

.PHONY: bats-libraries
bats-libraries: bats bats-support bats-assert

bats:
	@[ -d tests/libs/bats ] || \
		(mkdir -p tests/libs/bats; git clone http://github.com/sstephenson/bats tests/libs/bats)


bats-support:
	@[ -d tests/libs/bats-support ] || \
		(mkdir -p tests/libs/bats-support; git clone https://github.com/ztombol/bats-support tests/libs/bats-support)

bats-assert:
	@[ -d tests/libs/bats-assert ] || \
		(mkdir -p tests/libs/bats-assert; git clone https://github.com/ztombol/bats-assert tests/libs/bats-assert)

#EOF

## python sei-0.1.2

=== requirements.txt ===
attrs==25.3.0
build==1.2.2.post1
certifi==2025.1.31
charset-normalizer==3.4.1
docutils==0.21.2
id==1.5.0
idna==3.10
iniconfig==2.1.0
isodate==0.7.2
jaraco.classes==3.4.0
jaraco.context==6.0.1
jaraco.functools==4.1.0
keyring==25.6.0
lxml==5.3.2
markdown-it-py==3.0.0
mdurl==0.1.2
more-itertools==10.6.0
nh3==0.2.21
packaging==24.2
platformdirs==4.3.7
pluggy==1.5.0
Pygments==2.19.1
pyproject_hooks==1.2.0
pytest==8.3.5
python-dotenv==1.1.0
pytz==2025.2
readme_renderer==44.0
requests==2.32.3
requests-file==2.1.0
requests-toolbelt==1.0.0
rfc3986==2.0.0
rich==14.0.0
twine==6.1.0
urllib3==2.4.0
zeep==4.3.1

## python sei-0.1.4

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,10 @@
 attrs==25.3.0
 build==1.2.2.post1
 certifi==2025.1.31
+cffi==1.17.1
 charset-normalizer==3.4.1
+coverage==7.8.0
+cryptography==44.0.2
 docutils==0.21.2
 id==1.5.0
 idna==3.10
@@ -10,6 +13,7 @@
 jaraco.classes==3.4.0
 jaraco.context==6.0.1
 jaraco.functools==4.1.0
+jeepney==0.9.0
 keyring==25.6.0
 lxml==5.3.2
 markdown-it-py==3.0.0
@@ -19,9 +23,11 @@
 packaging==24.2
 platformdirs==4.3.7
 pluggy==1.5.0
+pycparser==2.22
 Pygments==2.19.1
 pyproject_hooks==1.2.0
 pytest==8.3.5
+pytest-cov==6.1.1
 python-dotenv==1.1.0
 pytz==2025.2
 readme_renderer==44.0
@@ -30,6 +36,7 @@
 requests-toolbelt==1.0.0
 rfc3986==2.0.0
 rich==14.0.0
+SecretStorage==3.3.3
 twine==6.1.0
 urllib3==2.4.0
 zeep==4.3.1

## python smarttub-0.0.45

=== requirements.txt ===
aiohttp~=3.9.1
inflection~=0.5.1
pyjwt~=2.8.0
python-dateutil~=2.8.1

## python snippets-0.1.1

=== requirements.txt ===
tqdm
pydantic
numpy
pandas
requests
loguru
openpyxl
click
cachetools

## python socketio-5.13.0

=== examples/server/aiohttp/requirements.txt ===
aiohttp==3.10.11
async-timeout==1.1.0
chardet==2.3.0
multidict==2.1.4
python-engineio
python_socketio
six==1.10.0
yarl==0.9.2

=== examples/server/tornado/requirements.txt ===
tornado==6.4.2
python-engineio
python_socketio
six==1.10.0

=== examples/server/wsgi/requirements.txt ===
Click==7.0
enum-compat==0.0.2
enum34==1.1.6
eventlet==0.35.2
Flask==1.0.2
greenlet==0.4.12
itsdangerous==1.1.0
Jinja2==3.1.6
MarkupSafe==1.1.0
packaging==16.8
pyparsing==2.1.10
python-engineio
python-socketio
six==1.11.0
Werkzeug==2.2.3

=== examples/server/wsgi/django_socketio/requirements.txt ===
asgiref==3.6.0
bidict==0.22.1
Django==4.2.20
gunicorn==23.0.0
h11==0.14.0
python-engineio
python-socketio
simple-websocket
sqlparse==0.5.0
wsproto==1.2.0

## python socketio-5.15.0

=== examples/server/wsgi/django_socketio/requirements.txt ===
asgiref==3.6.0
bidict==0.22.1
Django==4.2.26
gunicorn==23.0.0
h11==0.16.0
python-engineio
python-socketio
simple-websocket
sqlparse==0.5.0
wsproto==1.2.0

## python solvespace-3.0.2

=== requirements.txt ===
setuptools
wheel
cython

## python sscha-1.5.0

=== requirements.txt ===
numpy
scipy
ase
spglib
julia

=== UserGuide/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = python-sscha
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python st3215-1.1.0

=== requirements.txt ===
pyserial>=3.5
types-pyserial>=3.5

## python synthpop-0.0.1

=== requirements.txt ===
numpy>=1.20.0
pandas>=1.3.0
scikit-learn>=1.0.0
pytest>=7.0.0

## python synthpop-0.1.1

=== requirements.txt ===
numpy>=1.20.0
pandas>=1.3.0
scikit-learn>=1.0.0
pytest>=7.0.0
copulas>=0.1.0

## python terminusgps-1.1.0

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile pyproject.toml -o requirements.txt
argparse==1.4.0
    # via python-terminusgps (pyproject.toml)
authorizenet==1.1.5
    # via python-terminusgps (pyproject.toml)
certifi==2024.8.30
    # via requests
charset-normalizer==3.4.0
    # via requests
future==1.0.0
    # via python-wialon
idna==3.10
    # via requests
lxml==4.9.4
    # via authorizenet
python-wialon==1.2.4
    # via python-terminusgps (pyproject.toml)
pyxb-x==1.2.6.2
    # via authorizenet
requests==2.32.3
    # via authorizenet
simplejson==3.19.3
    # via python-wialon
urllib3==2.2.3
    # via requests

## python terminusgps-1.1.1

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile pyproject.toml -o requirements.txt
argparse==1.4.0
    # via python-terminusgps (pyproject.toml)
asgiref==3.8.1
    # via django
authorizenet==1.1.5
    # via python-terminusgps (pyproject.toml)
boto3==1.35.80
    # via python-terminusgps (pyproject.toml)
botocore==1.35.80
    # via
    #   boto3
    #   s3transfer
certifi==2024.8.30
    # via requests
charset-normalizer==3.4.0
    # via requests
django==5.1.4
    # via python-terminusgps (pyproject.toml)
future==1.0.0
    # via python-wialon
idna==3.10
    # via requests
jmespath==1.0.1
    # via
    #   boto3
    #   botocore
lxml==4.9.4
    # via authorizenet
python-dateutil==2.9.0.post0
    # via botocore
python-wialon==1.2.4
    # via python-terminusgps (pyproject.toml)
pyxb-x==1.2.6.2
    # via authorizenet
requests==2.32.3
    # via authorizenet
s3transfer==0.10.4
    # via boto3
simplejson==3.19.3
    # via python-wialon
six==1.17.0
    # via python-dateutil
sqlparse==0.5.3
    # via django
urllib3==2.2.3
    # via
    #   botocore
    #   requests

## python terminusgps-20.5.2

=== docs/requirements.txt ===
aiohappyeyeballs==2.4.6
aiohttp==3.11.12
aiohttp-retry==2.9.1
aiosignal==1.3.2
alabaster==1.0.0
argparse==1.4.0
asgiref==3.8.1
attrs==25.1.0
authorizenet==1.1.5
babel==2.17.0
beautifulsoup4==4.13.3
boto3==1.36.23
botocore==1.36.23
certifi==2025.1.31
charset-normalizer==3.4.1
django==5.1.6
docutils==0.21.2
frozenlist==1.5.0
future==1.0.0
idna==3.10
imagesize==1.4.1
jinja2==3.1.5
jmespath==1.0.1
lxml==4.9.4
markupsafe==3.0.2
multidict==6.1.0
packaging==24.2
propcache==0.2.1
pygments==2.19.1
pyjwt==2.10.1
python-dateutil==2.9.0.post0
-e file:///home/blake/Projects/python-terminusgps
python-wialon==1.2.4
pyxb-x==1.2.6.3
requests==2.32.3
roman-numerals-py==3.0.0
s3transfer==0.11.2
simplejson==3.20.1
six==1.17.0
snowballstemmer==2.2.0
soupsieve==2.6
sphinx==8.2.0
sphinxawesome-theme==5.3.2
sphinxcontrib-applehelp==2.0.0
sphinxcontrib-devhelp==2.0.0
sphinxcontrib-htmlhelp==2.1.0
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==2.0.0
sphinxcontrib-serializinghtml==2.0.0
sqlparse==0.5.3
twilio==9.4.5
typing-extensions==4.12.2
urllib3==2.3.0
yarl==1.18.3

## python terminusgps-20.6.0

=== docs/requirements.txt ===
--- 
+++ 
@@ -29,7 +29,6 @@
 pygments==2.19.1
 pyjwt==2.10.1
 python-dateutil==2.9.0.post0
--e file:///home/blake/Projects/python-terminusgps
 python-wialon==1.2.4
 pyxb-x==1.2.6.3
 requests==2.32.3

## python terminusgps-43.1.0

=== docs/requirements.txt ===
django>=5.2.1
furo==2024.04.27
python-wialon>=1.2.4
sphinxawesome-theme>=5.3.2

## python terminusgps-43.3.0

=== docs/requirements.txt ===
autoclasstoc>=1.7.0
django>=5.2.1
furo==2024.04.27
python-wialon>=1.2.4
sphinxawesome-theme>=5.3.2

## python terminusgps-50.1.3

=== docs/requirements.txt ===
authorizenet>=1.1.5
autoclasstoc>=1.7.0
django>=5.2.1
python-wialon>=1.2.4
sphinx>=8.2.3
sphinxawesome-theme>=5.3.2

## python terrier-0.13.0

=== requirements.txt ===
# core packages
numpy
pandas
more_itertools
tqdm
# used by datasets
requests
ir_datasets>=0.3.2
wget # used by mavenresolver to download jar files 
pyjnius>=1.4.2 # used by pt.java to execute Java code, such as Terrier
deprecated # used for marking APIs as deprecated
scipy # used for significance testing
# evaluation related:
ir_measures>=0.3.1 # used for evaluation measure computation
pytrec_eval_terrier>=0.5.3
jinja2 # used to get rendering of colour in Pandas by pt.Experiment
statsmodels # used for multiple testing correction
# others
dill # used for serialisation that is better than pickle, e.g. passing wmodel functions to terrier.Retriever
joblib # used in parallel support 
chest # used for caching
lz4 # used for compression

## python terrier-0.13.2

=== requirements.txt ===
--- 
+++ 
@@ -3,10 +3,9 @@
 pandas
 more_itertools
 tqdm
-# used by datasets
+# used by datasets, pt.io.download
 requests
 ir_datasets>=0.3.2
-wget # used by mavenresolver to download jar files 
 pyjnius>=1.4.2 # used by pt.java to execute Java code, such as Terrier
 deprecated # used for marking APIs as deprecated
 scipy # used for significance testing

## python tester-3.0.1

=== Makefile ===
#!/usr/bin/env make -f
#
# Makefile for recipe static site generator
#

# ---------------------------------------------------------------------------
#
# General setup
#

# Set default target
.DEFAULT_GOAL := test

# Decide if use python3 or python
ifeq (, $(@shell which python3))
	py = "uv run python3"
else
	py = python
endif
# Decide if use pip3 or pip
ifeq (, $(@shell which pip3))
	pip = pip3
else
	pip = pip
endif
# Decide if use firefox or firefox.exe
ifeq (, $(@shell which firefox.exe))
	browser = firefox.exe
else
	browser = firefox
endif


# Detect OS
OS = $(shell uname -s)

# Defaults
ECHO = echo

# Make adjustments based on OS
ifneq (, $(findstring CYGWIN, $(OS)))
	ECHO = /bin/echo -e
endif

# Colors and helptext
NO_COLOR	= \033[0m
ACTION		= \033[32;01m
OK_COLOR	= \033[32;01m
ERROR_COLOR	= \033[31;01m
WARN_COLOR	= \033[33;01m

# Which makefile am I in?
WHERE-AM-I = $(CURDIR)/$(word $(words $(MAKEFILE_LIST)),$(MAKEFILE_LIST))
THIS_MAKEFILE := $(call WHERE-AM-I)

# Echo some nice helptext based on the target comment
HELPTEXT = $(ECHO) "$(ACTION)--->" `egrep "^\# target: $(1) " $(THIS_MAKEFILE) | sed "s/\# target: $(1)[ ]*-[ ]* / /g"` "$(NO_COLOR)"



# ----------------------------------------------------------------------------
#
# Highlevel targets
#
# target: help                         - Displays help with targets available.
.PHONY:  help
help:
	@$(call HELPTEXT,$@)
	@echo "Usage:"
	@echo " make [target] ..."
	@echo "target:"
	@egrep "^# target:" Makefile | sed 's/# target: / /g'



# target: build                     - Build and package code. Result in build/ folder.
.PHONY: build
build:
	@${py} package.py



# target: info                         - Displays versions.
.PHONY: info
info:
	@${py} --version
	@${py} -m pip --version
#@virtualenv --version



# target: validate                     - Validate code with pylint
.PHONY: validate
validate:
	@pylint --rcfile=.pylintrc src



# target: test-unit                    - Run tests in tests/unit with coverage.py
.PHONY: test-unit
test-unit: clean
	@$(ECHO) "$(ACTION)---> Running all tests in tests/" "$(NO_COLOR)"
	@${py} -m coverage run --rcfile=.coveragerc -m unittest discover -b test

	$(MAKE) clean-py

	# @${py} \


# target: test                         - Run code validation, tests and display code coverage
.PHONY: test
test: validate test-unit
	${py} -m coverage report  --rcfile=.coveragerc
	$(MAKE) clean-cov



# target: tox                         - Run "test" command for python version >=3.5
.PHONY: tox
tox:
	tox


## target: clean-py                     - Remove generated python files
.PHONY: clean-py
clean-py:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +
	find . -name '.pytest_cache' -exec rm -fr {} +



## target: clean-cov                    - Remove generated coverage files
.PHONY: clean-cov
clean-cov:
	rm -f .coverage
	rm -rf tests/coverage_html



# target: clean                        - Remove all generated files
.PHONY: clean
clean: clean-py clean-cov
	find . -name '*~' -exec rm -f {} +
	find . -name '*.log*' -exec rm -fr {} +



# target: install                      - Install all Python packages specified in requirement.txt
.PHONY: install
install:
	${pip} install -r requirements.txt



# target: install-dev                      - Install all Python packages specified in devrequirement.txt
.PHONY: install-dev
install-dev:
	${pip} install -r devrequirements.txt

## python tester-3.1.0

=== Makefile ===
--- 
+++ 
@@ -76,15 +76,15 @@
 # target: build                     - Build and package code. Result in build/ folder.
 .PHONY: build
 build:
-	@${py} package.py
+	uv build
 
 
 
 # target: info                         - Displays versions.
 .PHONY: info
 info:
-	@${py} --version
-	@${py} -m pip --version
+	uv run python3 --version
+	uv run python3 -m pip --version
 #@virtualenv --version
 
 
@@ -92,7 +92,7 @@
 # target: validate                     - Validate code with pylint
 .PHONY: validate
 validate:
-	@pylint --rcfile=.pylintrc src
+	@pylint --rcfile=.pylintrc src/tester
 
 
 
@@ -100,17 +100,16 @@
 .PHONY: test-unit
 test-unit: clean
 	@$(ECHO) "$(ACTION)---> Running all tests in tests/" "$(NO_COLOR)"
-	@${py} -m coverage run --rcfile=.coveragerc -m unittest discover -b test
+	uv run python3 -m coverage run --rcfile=.coveragerc -m unittest discover -b test
 
 	$(MAKE) clean-py
 
-	# @${py} \
 
 
 # target: test                         - Run code validation, tests and display code coverage
 .PHONY: test
 test: validate test-unit
-	${py} -m coverage report  --rcfile=.coveragerc
+	uv run python3 -m coverage report  --rcfile=.coveragerc
 	$(MAKE) clean-cov
 
 
@@ -118,8 +117,12 @@
 # target: tox                         - Run "test" command for python version >=3.5
 .PHONY: tox
 tox:
-	tox
+	uv run tox
 
+# target: publish                     - Run "uv publish" with .env file
+.PHONY: publish
+publish:
+	uvx --env-file .env uv publish dist/*
 
 ## target: clean-py                     - Remove generated python files
 .PHONY: clean-py
@@ -128,6 +131,8 @@
 	find . -name '*.pyo' -exec rm -f {} +
 	find . -name '__pycache__' -exec rm -fr {} +
 	find . -name '.pytest_cache' -exec rm -fr {} +
+	find dist/ -name '*.whl' -exec rm -fr {} +
+	find dist/ -name '*.tar.gz' -exec rm -fr {} +

## python tester-3.1.2

=== Makefile ===
--- 
+++ 
@@ -75,7 +75,7 @@
 
 # target: build                     - Build and package code. Result in build/ folder.
 .PHONY: build
-build:
+build: clean
 	uv build
 
 
@@ -92,7 +92,7 @@
 # target: validate                     - Validate code with pylint
 .PHONY: validate
 validate:
-	@pylint --rcfile=.pylintrc src/tester
+	uv run pylint --rcfile=.pylintrc src/tester
 
 
 
@@ -127,12 +127,12 @@
 ## target: clean-py                     - Remove generated python files
 .PHONY: clean-py
 clean-py:
-	find . -name '*.pyc' -exec rm -f {} +
-	find . -name '*.pyo' -exec rm -f {} +
-	find . -name '__pycache__' -exec rm -fr {} +
-	find . -name '.pytest_cache' -exec rm -fr {} +
-	find dist/ -name '*.whl' -exec rm -fr {} +
-	find dist/ -name '*.tar.gz' -exec rm -fr {} +
+	-find . -name '*.pyc' -exec rm -f {} +
+	-find . -name '*.pyo' -exec rm -f {} +
+	-find . -name '__pycache__' -exec rm -fr {} +
+	-find . -name '.pytest_cache' -exec rm -fr {} +
+	-find dist/ -name '*.whl' -exec rm -fr {} + 2>/dev/null
+	-find dist/ -name '*.tar.gz' -exec rm -fr {} + 2>/dev/null

## python thingset-0.2.5

=== requirements.txt ===
can-isotp==2.0.6
cbor2==5.6.5
pyserial==3.5
python-can==4.5.0

## python thingset-0.2.7

=== docs/requirements.txt ===
sphinx==7.1.2
sphinx-rtd-theme==1.3.0rc1

## python tkvdb-0.2.3

=== Makefile ===
USE_CYTHON = 1
PYTHON = python

default: install ;

.PHONY: build install clean uninstall dist test

build:
	USE_CYTHON=$(USE_CYTHON) $(PYTHON) setup.py build_ext

install:
	USE_CYTHON=$(USE_CYTHON) $(PYTHON) -m pip install .

clean:
	$(RM) -r build dist src/*.egg-info
	$(RM) -r src/tkvdb/*.c
	find . -name __pycache__ -exec rm -r {} +

uninstall:
	$(PYTHON) -m pip uninstall python-tkvdb

dist:
	USE_CYTHON=$(USE_CYTHON) $(PYTHON) setup.py sdist bdist_wheel

test:
	$(PYTHON) -m unittest

## python toolbox-0.6.11

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python_toolbox.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python_toolbox.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python tools-3.1.3

=== requirements.txt ===
pyserial>=2.6
pyzmq
cherrypy
pycrypto
pyephem
twitter

## python tracer-0.0.0

=== requirements.txt ===
pytest
setuptools-scm

## python tty-0.1.6

=== requirements.txt ===
prompt_toolkit>=3.0.32
tqdm

psutil

## python ucto-0.6.10

=== Makefile ===
PY_VERSIONS=cp38-cp38 cp39-cp39 cp310-cp310 cp311-cp311 cp312-cp312
BUILD_REQUIREMENTS=cython
#system packages (yum, manylinux_2_28 uses AlmaLinux)
SYSTEM_PACKAGES_RHEL=libicu-devel libxml2-devel libxslt-devel libexttextcat zlib-devel bzip2-devel libtool autoconf-archive autoconf automake m4 wget
#musllinux_1_1_x86_64 builds on Alpine v3.12
SYSTEM_PACKAGES_ALPINE=icu-dev libxml2-dev libxslt-dev libexttextcat-dev zlib-dev bzip2-dev libtool autoconf-archive autoconf automake m4 wget
PRE_BUILD_COMMAND=/io/build-deps.sh
PACKAGE_PATH=
PIP_WHEEL_ARGS=-w ./dist --no-deps
TAG=latest

.PHONY: wheels
wheels: manywheels muslwheels

.PHONY: manywheels
manywheels:
	docker pull quay.io/pypa/manylinux_2_28_x86_64:${TAG}
	docker run --rm -e PLAT=manylinux_2_28_x86_64 -v `pwd`:/io quay.io/pypa/manylinux_2_28_x86_64:${TAG} /io/build-wheels.sh "${PY_VERSIONS}" "${BUILD_REQUIREMENTS}" "${SYSTEM_PACKAGES_RHEL}" "${PRE_BUILD_COMMAND}" "${PACKAGE_PATH}" "${PIP_WHEEL_ARGS}"

.PHONY: muslwheels
muslwheels:
	docker pull quay.io/pypa/musllinux_1_1_x86_64:${TAG}
	docker run --rm -e PLAT=musllinux_1_1_x86_64 -v `pwd`:/io quay.io/pypa/musllinux_1_1_x86_64:${TAG} /io/build-wheels.sh "${PY_VERSIONS}" "${BUILD_REQUIREMENTS}" "${SYSTEM_PACKAGES_ALPINE}" "${PRE_BUILD_COMMAND}" "${PACKAGE_PATH}" "${PIP_WHEEL_ARGS}"

.PHONY: devwheels
devwheels:
	#builds against latest development versions of everything, these wheels should NOT be published!
	docker pull quay.io/pypa/manylinux_2_28_x86_64:${TAG}
	docker run --rm -e PLAT=manylinux_2_28_x86_64 -v `pwd`:/io quay.io/pypa/manylinux_2_28_x86_64:${TAG} /io/build-wheels.sh "${PY_VERSIONS}" "${BUILD_REQUIREMENTS}" "${SYSTEM_PACKAGES_RHEL}" "${PRE_BUILD_COMMAND} --devel" "${PACKAGE_PATH}" "${PIP_WHEEL_ARGS}"
	echo "Built against development versions, DO NOT PUBLISH these wheels!"

.PHONY: install
install:
	pip install .

.PHONY: deps
deps:
	./build-deps.sh

## python ulid-3.1.0

=== docs/requirements.txt ===
furo
sphinx-copybutton

## python upnp-1.0.0

=== requirements.txt ===
aiohttp~=3.9.5
multidict~=6.0.5
ifaddr~=0.2.0
multicast_py~=1.0.0

## python vault-0.0.2

=== requirements.txt ===
setuptools
wheel
dotenv
colorlog
pytest
pytest-rerunfailures
hvac
custom_python_logger

## python venusclient-2.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

keystoneauth1>=3.3.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
os-client-config>=1.28.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
PrettyTable>=0.7.1 # BSD
cryptography!=2.0,>=1.9 # BSD/Apache-2.0
decorator>=3.4.0 # BSD
openstacksdk>=0.42.0 # Apache-2.0

## python vuejs-1.0.9

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python_vuejs.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python_vuejs.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python_vuejs"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python_vuejs"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python wdotool-2024.9.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(wdotoold VERSION 0.1 LANGUAGES CXX)

set(BIN_NAME wdotoold)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")


find_package(Qt5 COMPONENTS Core Gui Widgets DBus Concurrent Network REQUIRED)
find_package(KF5Wayland REQUIRED)

set(Qt_LIBS
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::DBus
    Qt5::Concurrent
    Qt5::Network
)
set(SOURCE_FILES
        cli/main.cpp
        cli/datastruct.h
        cli/input.h
        cli/input.cpp
        cli/tcpserver.h
        cli/tcpserver.cpp
        cli/config.h
        cli/config.cpp
        )
add_executable(${BIN_NAME}
    ${SOURCE_FILES}
)

set_target_properties(${BIN_NAME}
        PROPERTIES
        CXX_STANDARD 11
        CXX_STANDARD_REQUIRED ON
        CXX_EXTENSIONS ON
)

target_link_libraries(${BIN_NAME}
        ${Qt_LIBS}
)

target_link_libraries(${BIN_NAME} KF5::WaylandClient)

INSTALL(TARGETS ${BIN_NAME} DESTINATION bin)

=== debian/changelog ===
wdotool (1.0.0) UNRELEASED; urgency=low

  * Initial release. Closes: #nnnn
    <nnnn is the bug number of your ITP>

 -- zhaoyouzhi <zhaoyouzhi@uniontech.com>  Mon, 19 Aug 2024 08:58:41 +0800

=== debian/control ===
Source: wdotool
Section: admin
Priority: optional
Maintainer: zhaoyouzhi <zhaoyouzhi@uniontech.com>
Build-Depends: debhelper (>= 8.0.0),
 pkg-config,
 cmake,
 qttools5-dev-tools,
 qtbase5-private-dev,
 libgio-qt-dev,
 libkf5wayland-dev
Standards-Version: 3.9.5
Homepage: https://github.com/linuxdeepin-QAeggs/wdotool

Package: wdotool
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
 ${misc:Depends},
 xclip (>=0.10)
Description: wdotool allows you to simulate keyboard input, mouse activity, and writing/reading to/from the clipboard through programming in X11 and Wayland desktop environments, using the uinput kernel module, X11's XTEST extension and other Xlib functions, as well as the kwayland library.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@  

override_dh_auto_configure:
	dh_auto_configure -- \
       -DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_TARGET_MULTIARCH)" \
       -DCMAKE_BUILD_TYPE=Debug
